Package org.apache.storm.metrics2.reporters

# Class ScheduledStormReporter

java.lang.Object
org.apache.storm.metrics2.reporters.ScheduledStormReporter

All Implemented Interfaces:
  `com.codahale.metrics.Reporter`, `Closeable`, `AutoCloseable`, `StormReporter`

Direct Known Subclasses:
  `ConsoleStormReporter`, `CsvStormReporter`, `GraphiteStormReporter`

public abstract class ScheduledStormReporter extends Object implements StormReporter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.codahale.metrics.ScheduledReporter`
  `reporter`
  `protected long`
  `reportingPeriod`
  `protected TimeUnit`
  `reportingPeriodUnit`

  ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

  `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduledStormReporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `static StormMetricsFilter`
  `getMetricsFilter(Map<String,Object> reporterConf)`
  `static long`
  `getReportPeriod(Map<String,Object> reporterConf)`
  `static TimeUnit`
  `getReportPeriodUnit(Map<String,Object> reporterConf)`
  `static boolean`
  `isReportDimensionsEnabled(Map<String,Object> reporterConf)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

  `prepare, prepare`

- ## Field Details

  - ### reporter

    protected com.codahale.metrics.ScheduledReporter reporter

  - ### reportingPeriod

    protected long reportingPeriod

  - ### reportingPeriodUnit

    protected TimeUnit reportingPeriodUnit

- ## Constructor Details

  - ### ScheduledStormReporter

    public ScheduledStormReporter()

- ## Method Details

  - ### getReportPeriodUnit

    public static TimeUnit getReportPeriodUnit(Map<String,Object> reporterConf)

  - ### getReportPeriod

    public static long getReportPeriod(Map<String,Object> reporterConf)

  - ### isReportDimensionsEnabled

    public static boolean isReportDimensionsEnabled(Map<String,Object> reporterConf)

  - ### getMetricsFilter

    public static StormMetricsFilter getMetricsFilter(Map<String,Object> reporterConf)

  - ### start

    public void start()
    Specified by:
      `start` in interface `StormReporter`

  - ### stop

    public void stop()
    Specified by:
      `stop` in interface `StormReporter`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`